# $Revision: 1.31 $, $Date: 2011/03/09 19:44:36 $
Summary:	X Fixes extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia X Fixes
Name:		xorg-lib-libXfixes
Version:	5.0
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXfixes-%{version}.tar.bz2
# Source0-md5:	678071bd7f9f7467e2fc712d81022318
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-proto-fixesproto-devel >= 5.0
BuildRequires:	xorg-util-util-macros >= 1.8
Obsoletes:	libXfixes
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Fixes extension library.

%description -l pl.UTF-8
Biblioteka rozszerzenia X Fixes.

%package devel
Summary:	Header files for libXfixes library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXfixes
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel
Requires:	xorg-proto-fixesproto-devel >= 5.0
Obsoletes:	libXfixes-devel

%description devel
X Fixes extension library.

This package contains the header files needed to develop programs that
use libXfixes.

%description devel -l pl.UTF-8
Biblioteka rozszerzenia X Fixes.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXfixes.

%package static
Summary:	Static libXfixes library
Summary(pl.UTF-8):	Biblioteka statyczna libXfixes
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXfixes-static

%description static
X Fixes extension library.

This package contains the static libXfixes library.

%description static -l pl.UTF-8
Biblioteka rozszerzenia X Fixes.

Pakiet zawiera statyczną bibliotekę libXfixes.

%prep
%setup -q -n libXfixes-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXfixes.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXfixes.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXfixes.so
%{_libdir}/libXfixes.la
%{_includedir}/X11/extensions/Xfixes.h
%{_pkgconfigdir}/xfixes.pc
%{_mandir}/man3/Xfixes.3x*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXfixes.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXfixes.spec,v $
Revision 1.31  2011/03/09 19:44:36  qboosh
- updated to 5.0

Revision 1.30  2010/06/12 19:21:31  qboosh
- updated ac and util-macros versions

Revision 1.29  2010/06/10 07:49:38  arekm
- up to 4.0.5

Revision 1.28  2009/11/12 09:28:25  patrys
- rebuild with new libpthread-stubs
- rel 2

Revision 1.27  2009/10/08 21:08:09  qboosh
- updated util-macros version
- ghost soname symlink
- more verbose files

Revision 1.26  2009/10/08 16:21:41  arekm
- up to 4.0.4

Revision 1.25  2008/11/05 23:28:52  arekm
- release 5

Revision 1.24  2008/07/27 23:04:26  arekm
- release 4

Revision 1.23  2007-02-12 22:09:24  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.21  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.20  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.19  2006/11/08 15:35:58  arekm
- up to 4.0.3

Revision 1.18  2006/10/14 14:44:44  qboosh
- updated to 4.0.2

Revision 1.17  2006/05/26 15:08:43  qboosh
- needs fixesproto 4.0

Revision 1.16  2006/05/23 06:33:22  arekm
- up to 4.0.1

Revision 1.15  2006/05/09 09:37:44  qboosh
- typo (s/0\.4/4.0/) in previous changelog entry

Revision 1.14  2006/04/29 16:45:09  arekm
- up to 4.0

Revision 1.13  2006/03/08 22:06:19  qboosh
- release 1

Revision 1.12  2005/12/28 11:02:27  qboosh
- sources from X11R7.0 release

Revision 1.11  2005/12/20 12:34:20  qboosh
- 3.0.1.2 (X11R7.0-RC4)

Revision 1.10  2005/12/04 16:47:10  qboosh
- -devel desc fixes

Revision 1.9  2005/12/04 11:09:07  qboosh
- 3.0.1.1 (X11R7.0-RC3)

Revision 1.8  2005/11/19 18:59:33  qboosh
- 3.0.1 (X11R7.0-RC2)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/20 18:04:13  qboosh
- switched to 3.0.0 from X11R7.0-RC1
- more docs, added version to fixesproto deps

Revision 1.5  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/17 20:10:46  qboosh
- Obsoletes for old xlibs or separate packages

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.13  2005/08/14 23:07:05  arekm
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

Revision 1.12  2005/05/01 10:21:25  qboosh
- updated Source URL, unified URL

Revision 1.11  2004/05/22 23:11:40  qboosh
- ldconfig deps are autogenerated here

Revision 1.10  2004/05/22 22:32:24  qboosh
- added version to fixesext deps

Revision 1.9  2004/05/22 22:05:15  qboosh
- unifications, revised doc

Revision 1.8  2004/03/12 08:01:07  ankry
- pl

Revision 1.7  2004/03/10 11:15:40  pluto
- release up.

Revision 1.6  2004/03/10 11:11:34  pluto
- more BR:, R:, cosmetics...

Revision 1.5  2004/03/10 10:53:53  pluto
- BR:, R:, cosmetics.

Revision 1.4  2004/03/06 15:41:26  pluto
- R:, release 3.

Revision 1.3  2004/03/05 00:06:40  adgor
- Rel++

Revision 1.2  2004/03/04 21:23:32  adgor
- Added two lines with define

Revision 1.1  2004/03/02 22:31:20  adgor
- Initial
